.newsletter-form{display:flex;flex-direction:column;justify-content:center;align-items:center;width:100%;position:relative}
.newsletter-form__field-wrapper{width:100%}
.newsletter-form__field-wrapper .field__input{padding-right:5rem}.footer .newsletter-form__field-wrapper .field__input
{border:1px solid rgba(var(--color-foreground),.9)}.newsletter-form__field-wrapper .field{z-index:0}
.newsletter-form__message{justify-content:center;margin-bottom:0}.newsletter-form__message--success{margin-top:2rem}
.newsletter .newsletter-form,.newsletter .newsletter-form__field-wrapper{display:inline-block}
.newsletter-form__button{width:4.4rem;margin:0;right:var(--inputs-border-width);top:0;height:100%;z-index:2;position:relative}
.footer .newsletter-form__field-wrapper .field:after{display:none}
.newsletter-form__button:focus-visible{box-shadow:0 0 0 .3rem rgb(var(--color-background)),0 0 0 .4rem rgba(var(--color-foreground));
  background-color:rgb(var(--color-background))}
  .newsletter-form__button:focus{box-shadow:0 0 0 .3rem rgb(var(--color-background)),0 0 0 .4rem rgba(var(--color-foreground));
    background:rgb(var(--color-bg-button-hover));color:rgb(var(--color-button-hover-text));border-color:rgb(var(--color-bg-button-hover));
    font-weight:var(--font-body-weight-medium)}.newsletter-form__button .icon{width:1.5rem}@media screen and (max-width:767px)
    {.newsletter .banner__box,.newsletter .banner__content{padding:10px}.newsletter:not(.banner--mobile-bottom)
     .banner__box:not(.email-signup-banner__box--no-image){background-color:transparent}.section:not(.section-image-banner) 
     .newsletter.banner:not(.banner--mobile-bottom):not(.email-signup-banner) .banner__box.content-box{--color-foreground:unset;
      --color-button:unset;--color-button-text:unset}}@media screen and (min-width:768px){.newsletter-form__message{justify-content:flex-start}
      .newsletter-form{align-items:flex-start;margin:0 auto;max-width:36rem}.newsletter.banner--transparent .banner__box{background:0 0}}
